Bug 189120 - Senile Gnome forgets setting across reboots
Senile Gnome forgets setting across reboots
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-17 10:42 EDT by Charles Curley
Modified: 2008-03-18 14:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:33:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Curley 2006-04-17 10:42:11 EDT
Description of problem:

Gnome desktop fails to retain a setting across reboot.

Version-Release number of selected component (if applicable):

gnome-desktop-2.14.0-1

How reproducible:

Consistently reproducible


Steps to Reproduce:

0. Upgrade a system from FC4 (as updated) to FC5 via Anaconda.

1. Open Emacs, enter some text in a buffer. At the bottom of the buffer, enter 
SHIFT-ALT-<. Notice that you get a < character, instead of the expected movement
to the top of the buffer.

2. In the top Gnome panel, System -> Preferences -> Keyboard -> Layout Options
-> Alt/Win Key Behavoir, select "Alt and Meta are on the Alt keys". Close. That
should retain the setting. Repeat the test in step 1 to verify that the setting
has taken effect.

3. Reboot. I usually shut my laptop down overnight.

4. Repeat the test in step 1 above.
  
Actual results:

In step 4, the ATL-SHIFT-< keystroke produces a < character.

Expected results:

Step 4 should move point to the top of the buffer.

Additional info:

I am seeing this on a Lenovo R51 laptop.
http://www.charlescurley.com/Lenovo.R51.html
Comment 1 Barry Roberts 2006-09-08 20:02:41 EDT
I see Alt+Shift+> inserting a character in emacs sometimes, too, but I hadn't
noticed the gnome setting.  I finally figured out that for me, the order of the
Alt+Shift makes a difference.  If I push Shift first, I get a > char.  If I alt
first I go to the end of buffer.  It's 100% consistent but took me months to
figure out.
Comment 2 Ray Strode [halfline] 2008-03-18 14:33:41 EDT
Hi,

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.